/* Estilos do Loading do VTurb */
[class^="vt-loading"] {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    text-decoration: none;
}

.vt-loading-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background-color: #000;
    color: #fff;
    display: flex !important;
    justify-content: center;
    align-items: center;
}

.vt-loading-percentage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 18px;
    font-weight: 600;
}

.vt-loading-android-spinner {
    width: 80px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: radial-gradient(farthest-side, #E50914 94%, #0000) top/8px 8px no-repeat,
                conic-gradient(#0000 30%, #E50914);
    -webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - 8px), #000 0);
    animation: vt-loading-android-spinner-animation .75s infinite linear;
}

@keyframes vt-loading-android-spinner-animation {
    100% {
        transform: rotate(1turn);
    }
}

/* Estilos do Botão "Quero a Receita!" */
#botao-iniciar-quiz {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #22c55e;
    color: white;
    font-weight: bold;
    padding: 16px;
    border-radius: 16px;
    font-size: 1.2rem;
    cursor: pointer;
    z-index: 99999;
    border: 4px solid white;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    animation: pulse 1.5s infinite;
    width: 90%;
    max-width: 500px;
    display: block;
    text-align: center;
    text-decoration: none;
    pointer-events: auto;
}

#botao-iniciar-quiz:hover {
    background-color: #16a34a;
}

@keyframes pulse {
    0% {
        transform: translateX(-50%) scale(1);
    }
    50% {
        transform: translateX(-50%) scale(1.05);
    }
    100% {
        transform: translateX(-50%) scale(1);
    }
}

/* Container do vídeo */
.video-container {
    display: block;
    margin: 0px auto;
    width: 100%;
    max-width: 100%;
}

/* Estilos para elementos VTurb */
vturb-headline {
    display: var(--headlines-display, var(--elements-display, block));
    opacity: var(--headlines-opacity, var(--elements-opacity, 1));
    height: var(--headlines-height, var(--elements-height));
}

vturb-bigplay,
vturb-call-action,
vturb-call-action-v2,
vturb-controls,
vturb-minihook,
vturb-smartautoplay,
vturb-thumbsniper {
    opacity: var(--elements-opacity, 1);
    height: var(--elements-height);
}

vturb-custom-html {
    display: block;
}

/* Preload styles */
.preload--netflix {
    position: relative;
    width: 100%;
    padding: 177.78% 0 0;
    z-index: 0;
}
